=== debian/changelog ===
openalgz-ut (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1117253)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 22 Oct 2025 19:08:00 +0200
