=== debian/control ===
Source: openalgz-ut
Section: libdevel
Priority: optional
Maintainer: Carl Keinath <carl.keinath@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/openalgz/ut
Vcs-Browser: https://salsa.debian.org/carlo711/openalgz-ut
Vcs-Git: https://salsa.debian.org/carlo711/openalgz-ut.git

Package: libopenalgz-ut-dev
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
Description: Unit test library for C++20 and later, based on qlibs/ut
 Header-only and thread-safe testing framework derived from qlibs/ut,
 providing cross-platform support and simple integration.
