=== debian/changelog ===
openalgz-ut (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * refresh use-unique-project-name patch
  * d/tests: replicate upstream testsuite
  * d/control: S-V to 4.7.3, remove Priority and RRR

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 16 Feb 2026 17:42:50 +0100
