=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: openalgz-ut
 Section: libdevel
-Priority: optional
 Maintainer: Carl Keinath <carl.keinath@gmail.com>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/openalgz/ut
-Vcs-Browser: https://salsa.debian.org/carlo711/openalgz-ut
-Vcs-Git: https://salsa.debian.org/carlo711/openalgz-ut.git
+Vcs-Browser: https://salsa.debian.org/carlo/openalgz-ut
+Vcs-Git: https://salsa.debian.org/carlo/openalgz-ut.git
 
 Package: libopenalgz-ut-dev
 Multi-Arch: foreign
