=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_INCLUDEDIR=/usr/include \
	-Dzb8_INSTALL_CMAKEDIR=/usr/lib/cmake/openalgz-ut
