=== debian/tests/control ===
Tests: upstream-tests
Depends: @,
         cmake,
         g++,
# import boost-ext-ut to check for side effects
         libboost-ext-ut-dev
